
var DownloadUtil = require('scripts/Core/DownLoadUtil.js');

//通过工具类下载文件,这里进行设置
DownloadUtil.setOptions({
	//默认的下载缓存目录-存到应用的downloads/downloadFiles下
	'downloadStoragePath': "_downloads/imgs/",
	//本地缓存的时间戳,毫秒单位,默认为1天
	'fileCacheTimeStamp': 1000 * 60 * 60 * 24 * 100,
	//同时最多的downloader 并发下载数目,默认为3个
	'concurrentDownloadCount': 1,
	//超时请求时间
	'timeout': 3,
	//超时请求后的重试次数
	'retryInterval': 3,
	//单个下载任务最大的请求时间,防止一些机型上无法触发错误回调,单位毫秒,默认10秒
	'maxTimeSingleDownloadTaskSpend': 1000 * 10,
	//获取相对路径的函数,如果不传,则用默认的路径处理方法
	'getRelativePathFromLoadUrlCallback': function(loadUrl) {
		//获取图片后缀,如果没有获取到后缀,默认是jpg
		var imgSuffix = loadUrl.substring(loadUrl.lastIndexOf(".") + 1, loadUrl.length);
		if (
			imgSuffix.toLocaleLowerCase() != ("jpg") &&
			imgSuffix.toLocaleLowerCase() != ("jpeg") &&
			imgSuffix.toLocaleLowerCase() != ("png") &&
			imgSuffix.toLocaleLowerCase() != ("bmp") &&
			imgSuffix.toLocaleLowerCase() != ("svg") &&
			imgSuffix.toLocaleLowerCase() != ("gif")
		) {
			//如果后缀没有包含以上图片,将后缀改为jpg
			imgSuffix = 'jpg';
		}
		//更换存储方式,变为将整个路径存储下来,然后去除非法字符
		var regIllegal = /[&\|\\\*^%$#@\-:.?\/=!]/g;
		//获取图片名字
		var imgName = loadUrl.replace(regIllegal, '');
		//最终的名字
		var filename = imgName + '.' + imgSuffix;
		//console.log('loadurl:'+loadUrl+',fileName:'+filename);
		var relativePath = '_downloads/imgs/' + filename;
		return relativePath;
	}
});

/**
 * @description 下载图片
 * @param {type} src 图片网络下载地址
 * @param {type} dom 界面的img 对象
 */
function downLoadImg(src, dom) {
	DownloadUtil.downloadFileWidthLocalCache(src, {
		beforeDownload: function() {
			dom.setAttribute('src', '../../img/mobileFrame/img_loading.jpg');
		},
		successDownload: function(relativePath) {
			//console.log('下载成功:' + relativePath);
			mui.plusReady(function() {
				var sd_path = plus.io.convertLocalFileSystemURL(relativePath);
				//console.log('fileName:'+sd_path);
				dom.setAttribute('src', sd_path);
			});
		},
		errorDownload: function(msg) {
			//console.log("error"+msg);
			dom.setAttribute('src', '../../img/mobileFrame/img_error.jpg');
				}
	});
};